# SarXarray

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.7717027.svg)](https://doi.org/10.5281/zenodo.7717027)
[![PyPI](https://img.shields.io/pypi/v/sarxarray.svg?colorB=blue)](https://pypi.python.org/project/sarxarray/)
[![Quality Gate Status](https://sonarcloud.io/api/project_badges/measure?project=MotionbyLearning_sarxarray&metric=alert_status)](https://sonarcloud.io/summary/new_code?id=MotionbyLearning_sarxarray)
[![OpenSSF Best Practices](https://www.bestpractices.dev/projects/7980/badge)](https://www.bestpractices.dev/projects/7980)
[![Build](https://github.com/TUDelftGeodesy/sarxarray/actions/workflows/build.yml/badge.svg)](https://github.com/TUDelftGeodesy/sarxarray/actions/workflows/build.yml)
[![License](https://img.shields.io/github/license/TUDelftGeodesy/sarxarray)](https://opensource.org/licenses/Apache-2.0)


SARXarray is an open-source Xarray extension for Synthetic Aperture Radar (SAR) data. It is especially designed to work with large volume complex data, e.g. Single Look Complex (SLC) data, as well as derived products such as interferogram stacks. 


## Installation

SARXarray can be installed from PyPI:

```sh
pip install sarxarray
```

or from the source:

```sh
git clone git@github.com:TUDelftGeodesy/sarxarray.git
cd sarxarray
pip install .
```

Note that Python version `>=3.10` is required for SARXarray.

## Documentation

For more information on usage and examples of SARXarray, please refer to the [documentation](https://tudelftgeodesy.github.io/sarxarray/).

## License

Copyright (c) 2022 - 2025, Netherlands eScience Center & Delft University of Technology

Apache Software License 2.0
